---
updatedAt: 2026-06-04T15:59:05.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get a List of Transactions for a Given Address

Returns the transactions that an address was involved with, from newest to oldest.


<Callout icon="💡" theme="default">
  ### **Compute Unit Value**: `5` (paginated)
</Callout>

***

> ❗️ Note:
>
> * The `order` param is **not** supported for **Algorand** and **Solana**.
> * The date filters `to` and `from` are **not** supported for **Solana**, **Stellar** and **XRP**.
> * The `to` and `from` parameters behave **inclusively** for **Algorand**.

<HTMLBlock>{`
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
  body {
    font-family: Arial, sans-serif;
  }
  .filter-box {
    width: 100%;
  }
  .table-container {
    border: 1px solid #ccc;
    margin-top: 15px;
  }
  .show {
    display: block;
  }
  .scrollable-table {
    max-height: 320px;
    overflow-y: scroll;
  }
  table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
  }
  th, td {
    border: 1px solid #ccc;
    padding: 10px;
    vertical-align: top;
    word-wrap: break-word;
  }
  #protocolTableSearchable th {
    text-align: left;
    position: sticky;
    top: 0;
    background-clip: padding-box;
    z-index: 1;
    background-color: #230688;
    color: white !important;
  }
  code {
    background-color: #eee;
    padding: 2px 6px;
    border-radius: 4px;
    font-family: monospace;
    cursor: pointer;
    transition: background-color 0.2s ease;
    position: relative;
  }
  code:hover {
    background-color: #ddd;
  }
  [data-color-mode="dark"] code:hover {
    background-color: #637288;
  }
  .tooltip {
    position: absolute;
    background-color: #333;
    color: white;
    padding: 8px 12px;
    border-radius: 4px;
    font-size: 12px;
    z-index: 1000;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease;
    font-family: Arial, sans-serif;
  }
  .tooltip.show {
    opacity: 1;
  }
  .tooltip::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #333 transparent transparent transparent;
  }
  [data-color-mode="light"] .protocol-group-odd td {
    background-color: #ffffff;
  }
  [data-color-mode="light"] .protocol-group-even td {
    background-color: #f5f5f5;
  }
  [data-color-mode="dark"] .protocol-group-odd td {
    background-color: #242e34;
  }
  [data-color-mode="dark"] .protocol-group-even td {
    background-color: #4f5a66;
  }
</style>
</head>
<body>

<h3>Supported Protocols & Networks</h3>

<div class="table-container show">
  <input type="text" id="searchProtocolInput" class="filter-box" placeholder="Search protocol name..." onkeyup="filterTable()" />
  <div class="scrollable-table">
    <table id="protocolTableSearchable">
      <thead>
        <tr>
          <th>Protocol</th>
          <th>Network</th>
          <th>Path Parameter</th>
        </tr>
      </thead>
<tbody>
  <tr class="protocol-group-odd">
    <td>Algorand</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">algorand/mainnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">Avalanche</td>
    <td>Mainnet-c</td>
    <td><code class="copyable-code">avalanche/mainnet-c</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet-c</td>
    <td><code class="copyable-code">testnet/mainnet-c</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="3">Bitcoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet4</td>
    <td><code class="copyable-code">bitcoin/testnet4</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">Bitcoincash</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoincash/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoincash/testnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Dogecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">dogecoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">dogecoin/testnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">Ethereum</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">ethereum/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Sepolia</td>
    <td><code class="copyable-code">ethereum/sepolia</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Litecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">litecoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">litecoin/testnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td>Optimism</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">optimism/mainnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Polkadot</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polkadot/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Westend</td>
    <td><code class="copyable-code">polkadot/westend</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td>Polygon</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polygon/mainnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="3">Solana</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">solana/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">solana/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Devnet</td>
    <td><code class="copyable-code">solana/devnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Stellar</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">stellar/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">stellar/testnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">XRP</td>
    <td>Mainnet</td>
    <td><code class="copyable-code" title="Click to copy">xrp/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code" title="Click to copy">xrp/testnet</code></td>
  </tr>
</tbody>


    </table>
  </div>
</div>

<script>
  function filterTable() {
    const input = document.getElementById('searchProtocolInput').value.toLowerCase();
    const rows = document.querySelectorAll('#protocolTableSearchable tbody tr');
    rows.forEach(row => {
      row.style.display = row.innerText.toLowerCase().includes(input) ? '' : 'none';
    });
  }
</script>

</body>
</html>
`}</HTMLBlock>

<br />

<br />

> 🚧 Truncation Info
>
> For responses that have big numbers (such as in transfer amounts from blockchain transactions), truncation might be applied from Javascript’s native JSON parser.
>
> To avoid this behavior, we recommend using a library such as [`json-bigint`](https://github.com/sidorares/json-bigint) or [`lossless-json`](https://github.com/josdejong/lossless-json)

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "3.0.0",
    "title": "Blockdaemon REST API",
    "description": "Blockdaemon REST API provides a RESTful and uniform way to access blockchain resources,\nwith a rich and reusable model across multiple protocols/cryptocurrencies.\n\n[Documentation](https://docs.blockdaemon.com/reference/rest-api-overview)\n\n### Currently supported protocols:\n\n* algorand\n  * mainnet\n* avalanche \n  * mainnet-c/testnet-c\n* bitcoin\n  * mainnet/testnet/testnet4\n* bitcoincash\n  * mainnet/testnet\n* dogecoin\n  * mainnet/testnet\n* ethereum\n  * mainnet/holesky/sepolia/hoodi\n* litecoin\n  * mainnet/testnet\n* near\n  * mainnet\n* optimism\n  * mainnet\n* polkadot\n  * mainnet/westend\n* polygon\n  * mainnet/amoy\n* solana\n  * mainnet/testnet\n* stellar\n  * mainnet/testnet\n* tezos\n  * mainnet\n* tron\n  * mainnet/nile\n* xrp\n  * mainnet\n\n### Pagination\nCertain resources contain a lot of data, more than what's practical\nto return for a single request.\nWith the help of pagination, the data is split across multiple responses.\nEach response returns a subset of the items requested, and a continuation token.\n\nTo get the next batch of items, copy the returned continuation token\nto the continuation query parameter and repeat the request with the new URL.\nIn case no continuation token is returned, there is no more data available.\n",
    "contact": {
      "name": "Blockdaemon",
      "email": "support@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://storage.googleapis.com/blockdaemon-app-static-images/marketing/PNG/dark-logo.png",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "samples-languages": [
      "curl",
      "go",
      "javascript",
      "python",
      "node"
    ]
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/universal/{version}",
      "description": "Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    },
    {
      "url": "https://ubiquity.api.blockdaemon.com/{version}",
      "description": "[Legacy Auth] Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Transactions"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/{protocol}/{network}/account/{address}/txs": {
      "get": {
        "summary": "Get a List of Transactions for a Given Address",
        "description": "Returns the transactions that an address was involved with, from newest to oldest.\n",
        "operationId": "GetTxsByAddress",
        "tags": [
          "Transactions"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "protocol",
            "required": true,
            "description": "The protocol handle, one of: `algorand`, `avalanche`, `bitcoin`, `bitcoincash`, `dogecoin`, `ethereum`, `litecoin`, `optimism`, `polkadot`, `polygon`, `solana`, `tezos`, `stellar`, `xrp`.\n",
            "schema": {
              "type": "string",
              "default": "bitcoin"
            },
            "examples": {
              "Bitcoin": {
                "value": "bitcoin"
              }
            }
          },
          {
            "$ref": "#/components/parameters/network"
          },
          {
            "$ref": "#/components/parameters/address"
          },
          {
            "$ref": "#/components/parameters/assets"
          },
          {
            "name": "from",
            "in": "query",
            "required": false,
            "description": "Unix Timestamp from where to start. The date range is exclusive (results include transactions starting 1 second after this timestamp).",
            "schema": {
              "type": "integer"
            },
            "example": 961846434
          },
          {
            "name": "to",
            "in": "query",
            "required": false,
            "description": "Unix Timestamp from where to end. The date range is exclusive (results include transactions up to 1 second before this timestamp).",
            "schema": {
              "type": "integer"
            },
            "example": 1119612834
          },
          {
            "$ref": "#/components/parameters/order"
          },
          {
            "$ref": "#/components/parameters/page_token"
          },
          {
            "$ref": "#/components/parameters/page_size"
          }
        ],
        "responses": {
          "200": {
            "description": "Transactions",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/tx_page"
                },
                "example": {
                  "total": 25,
                  "data": [
                    {
                      "id": "385e7bfe62c8743b0bd5d3f4594ada38b2eb0764c4d89061591c11ba851c1ae0",
                      "block_id": "000000000000000000037cd5a51126baf707ae6ba6f3ab30738fc8bd689185c4",
                      "date": 1690886734,
                      "status": "completed",
                      "num_events": 5,
                      "meta": {
                        "index": 641,
                        "vsize": 225
                      },
                      "block_number": 801188,
                      "confirmations": 25,
                      "events": [
                        {
                          "id": "385e7bfe62c8743b0bd5d3f4594ada38b2eb0764c4d89061591c11ba851c1ae0-fee",
                          "transaction_id": "385e7bfe62c8743b0bd5d3f4594ada38b2eb0764c4d89061591c11ba851c1ae0",
                          "type": "fee",
                          "denomination": "BTC",
                          "meta": null,
                          "date": 1690886734,
                          "amount": 3354,
                          "decimals": 8
                        },
                        {
                          "id": "input-a7bdf08fee8e09f9c2193c3cd4353355ee7ba4b7d9a5d1380f3567d2238554fd-0",
                          "transaction_id": "385e7bfe62c8743b0bd5d3f4594ada38b2eb0764c4d89061591c11ba851c1ae0",
                          "type": "utxo_input",
                          "denomination": "BTC",
                          "source": "bc1ptnrjwcwaq2cucerep3v9hjas3rrsxru6p57kfephcgd0zejn0flqlxwq5q",
                          "meta": {
                            "addresses": [
                              "bc1ptnrjwcwaq2cucerep3v9hjas3rrsxru6p57kfephcgd0zejn0flqlxwq5q"
                            ],
                            "index": 0,
                            "script": "51205cc72761dd02b1cc64790c585bcbb088c7030f9a0d3d64e437c21af166537a7e",
                            "script_type": "witness_v1_taproot"
                          },
                          "date": 1690886734,
                          "amount": 546,
                          "decimals": 8
                        },
                        {
                          "id": "input-2d5f156b9d7110ff03d13c46901453fb82e637c7f414f6a54624ff545db9748a-1",
                          "transaction_id": "385e7bfe62c8743b0bd5d3f4594ada38b2eb0764c4d89061591c11ba851c1ae0",
                          "type": "utxo_input",
                          "denomination": "BTC",
                          "source": "3PTyc5stnvWX7q4iHLioyfJMFhLhy4Uean",
                          "meta": {
                            "addresses": [
                              "3PTyc5stnvWX7q4iHLioyfJMFhLhy4Uean"
                            ],
                            "index": 1,
                            "script": "a914eedb6cafc8f792c02f90ece6e722451b4a031c1087",
                            "script_type": "scripthash"
                          },
                          "date": 1690886734,
                          "amount": 242197,
                          "decimals": 8
                        },
                        {
                          "id": "385e7bfe62c8743b0bd5d3f4594ada38b2eb0764c4d89061591c11ba851c1ae0-0",
                          "transaction_id": "385e7bfe62c8743b0bd5d3f4594ada38b2eb0764c4d89061591c11ba851c1ae0",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
                          "meta": {
                            "addresses": [
                              "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                            ],
                            "index": 0,
                            "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                            "script_type": "pubkeyhash"
                          },
                          "date": 1690886734,
                          "amount": 546,
                          "decimals": 8
                        },
                        {
                          "id": "385e7bfe62c8743b0bd5d3f4594ada38b2eb0764c4d89061591c11ba851c1ae0-1",
                          "transaction_id": "385e7bfe62c8743b0bd5d3f4594ada38b2eb0764c4d89061591c11ba851c1ae0",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "3PTyc5stnvWX7q4iHLioyfJMFhLhy4Uean",
                          "meta": {
                            "addresses": [
                              "3PTyc5stnvWX7q4iHLioyfJMFhLhy4Uean"
                            ],
                            "index": 1,
                            "script": "a914eedb6cafc8f792c02f90ece6e722451b4a031c1087",
                            "script_type": "scripthash"
                          },
                          "date": 1690886734,
                          "amount": 238843,
                          "decimals": 8
                        }
                      ]
                    },
                    {
                      "id": "c5e879763b87aff8bd1f615a1363a0e19c660ce0b6a5f50dacc3a49341f75557",
                      "block_id": "00000000000000000004d9a12fcfa1aeb8f1b1bb22c69e02dc56fba04e758add",
                      "date": 1690741232,
                      "status": "completed",
                      "num_events": 4,
                      "meta": {
                        "index": 541,
                        "vsize": 12213
                      },
                      "block_number": 800941,
                      "confirmations": 272,
                      "events": [
                        {
                          "id": "c5e879763b87aff8bd1f615a1363a0e19c660ce0b6a5f50dacc3a49341f75557-fee",
                          "transaction_id": "c5e879763b87aff8bd1f615a1363a0e19c660ce0b6a5f50dacc3a49341f75557",
                          "type": "fee",
                          "denomination": "BTC",
                          "meta": null,
                          "date": 1690741232,
                          "amount": 134354,
                          "decimals": 8
                        },
                        {
                          "id": "input-9725e201b5f5ee65cb6f81ac0cc1f85056b2c4bc7cb53a0c67e852e3fae056d6-0",
                          "transaction_id": "c5e879763b87aff8bd1f615a1363a0e19c660ce0b6a5f50dacc3a49341f75557",
                          "type": "utxo_input",
                          "denomination": "BTC",
                          "source": "bc1pcxnwglqtajaz2ssjrqynwhrcy7zuljvq4c2axg3hqzuphzeqy4mqsacea9",
                          "meta": {
                            "addresses": [
                              "bc1pcxnwglqtajaz2ssjrqynwhrcy7zuljvq4c2axg3hqzuphzeqy4mqsacea9"
                            ],
                            "index": 0,
                            "script": "5120c1a6e47c0becba2542121809375c782785cfc980ae15d3223700b81b8b202576",
                            "script_type": "witness_v1_taproot"
                          },
                          "date": 1690741232,
                          "amount": 143000,
                          "decimals": 8
                        },
                        {
                          "id": "c5e879763b87aff8bd1f615a1363a0e19c660ce0b6a5f50dacc3a49341f75557-0",
                          "transaction_id": "c5e879763b87aff8bd1f615a1363a0e19c660ce0b6a5f50dacc3a49341f75557",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
                          "meta": {
                            "addresses": [
                              "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                            ],
                            "index": 0,
                            "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                            "script_type": "pubkeyhash"
                          },
                          "date": 1690741232,
                          "amount": 546,
                          "decimals": 8
                        },
                        {
                          "id": "c5e879763b87aff8bd1f615a1363a0e19c660ce0b6a5f50dacc3a49341f75557-1",
                          "transaction_id": "c5e879763b87aff8bd1f615a1363a0e19c660ce0b6a5f50dacc3a49341f75557",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "bc1qrlu88a9cd3jteuu34rknl5s9tt4qy90kgeryz9",
                          "meta": {
                            "addresses": [
                              "bc1qrlu88a9cd3jteuu34rknl5s9tt4qy90kgeryz9"
                            ],
                            "index": 1,
                            "script": "00141ff873f4b86c64bcf391a8ed3fd2055aea0215f6",
                            "script_type": "witness_v0_keyhash"
                          },
                          "date": 1690741232,
                          "amount": 8100,
                          "decimals": 8
                        }
                      ]
                    },
                    {
                      "id": "026e3da4be97f9c71ca03d5e27b1cedaa355a12a6a29b517740c100836d725f1",
                      "block_id": "000000000000000000003d6f1e3a7c53df6095417898a28ab32406ebd0528845",
                      "date": 1689982489,
                      "status": "completed",
                      "num_events": 3,
                      "meta": {
                        "index": 438,
                        "vsize": 102
                      },
                      "block_number": 799695,
                      "confirmations": 1518,
                      "events": [
                        {
                          "id": "026e3da4be97f9c71ca03d5e27b1cedaa355a12a6a29b517740c100836d725f1-fee",
                          "transaction_id": "026e3da4be97f9c71ca03d5e27b1cedaa355a12a6a29b517740c100836d725f1",
                          "type": "fee",
                          "denomination": "BTC",
                          "meta": null,
                          "date": 1689982489,
                          "amount": 2550,
                          "decimals": 8
                        },
                        {
                          "id": "input-a9f77405e420f0656aaf5c4c7de1bea30b402b2a1f64b432ff49416c887876e3-0",
                          "transaction_id": "026e3da4be97f9c71ca03d5e27b1cedaa355a12a6a29b517740c100836d725f1",
                          "type": "utxo_input",
                          "denomination": "BTC",
                          "source": "bc1pmvd07tdyy92mhxnmrzjy3zslffkup895v3rkz9kytw4v03mnq5esg4hp3w",
                          "meta": {
                            "addresses": [
                              "bc1pmvd07tdyy92mhxnmrzjy3zslffkup895v3rkz9kytw4v03mnq5esg4hp3w"
                            ],
                            "index": 0,
                            "script": "5120db1aff2da42155bb9a7b18a4488a1f4a6dc09cb464476116c45baac7c7730533",
                            "script_type": "witness_v1_taproot"
                          },
                          "date": 1689982489,
                          "amount": 10000,
                          "decimals": 8
                        },
                        {
                          "id": "026e3da4be97f9c71ca03d5e27b1cedaa355a12a6a29b517740c100836d725f1-0",
                          "transaction_id": "026e3da4be97f9c71ca03d5e27b1cedaa355a12a6a29b517740c100836d725f1",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
                          "meta": {
                            "addresses": [
                              "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                            ],
                            "index": 0,
                            "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                            "script_type": "pubkeyhash"
                          },
                          "date": 1689982489,
                          "amount": 7450,
                          "decimals": 8
                        }
                      ]
                    }
                  ],
                  "meta": {
                    "paging": {
                      "next_page_token": "b2d0e8bb9bcece54157064c82f2739ba3ca8d60a004940dfeee7ceb396714234-799694"
                    }
                  }
                }
              }
            },
            "links": {
              "Continuation": {
                "operationId": "GetTxsByAddress",
                "parameters": {
                  "continuation": "$response.body#/meta"
                }
              }
            }
          },
          "400": {
            "description": "Invalid address",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "403": {
            "description": "Invalid continuation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            }
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          },
          "503": {
            "$ref": "#/components/responses/ServiceUnavailable"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "responses": {
      "TooManyRequests": {
        "description": "Rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "too-many-requests",
              "title": "Too Many Requests",
              "status": 429,
              "detail": "Request rate limits have been exceeded. Try again after a few seconds."
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "not-found",
              "title": "Not Found",
              "status": 404
            }
          }
        }
      },
      "UnauthorizedError": {
        "description": "Invalid or expired token",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unauthorized",
              "title": "Invalid Token",
              "status": 401
            }
          }
        }
      },
      "ServerError": {
        "description": "An internal server error happened",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "internal-server-error",
              "title": "Internal Server Error",
              "status": 500
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "The resource you are trying to access is currently unavailable",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unavailable",
              "title": "Unavailable",
              "status": 503
            }
          }
        }
      }
    },
    "schemas": {
      "error": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The HTTP error type.",
            "example": "bad-request"
          },
          "code": {
            "type": "integer",
            "description": "The numeric error code.",
            "example": 16384
          },
          "title": {
            "type": "string",
            "description": "The short error description.",
            "example": "Invalid Address"
          },
          "status": {
            "type": "integer",
            "description": "The HTTP status of the error.",
            "example": 400
          },
          "detail": {
            "type": "string",
            "description": "Long error description",
            "example": "The requested address is invalid on this protocol."
          }
        }
      },
      "event": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The event identifier."
          },
          "transaction_id": {
            "type": "string",
            "description": "The transaction identifer this event is presented."
          },
          "type": {
            "type": "string",
            "description": "The event type.",
            "example": "transfer"
          },
          "denomination": {
            "type": "string",
            "nullable": true,
            "description": "The Symbol of currency, can be natibe currency or token currency."
          },
          "destination": {
            "type": "string",
            "nullable": true,
            "example": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
            "description": "The destination address of the event."
          },
          "source": {
            "type": "string",
            "nullable": true,
            "description": "The source address of the event."
          },
          "meta": {
            "type": "object",
            "description": "Protocol specific data that doesn't fit into a standard model.",
            "properties": {
              "addresses": {
                "description": "A list of addresses.",
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "index": {
                "description": "The index number.",
                "type": "integer"
              },
              "script": {
                "description": "The script.",
                "type": "string"
              },
              "script_type": {
                "description": "The script type.",
                "type": "string"
              }
            }
          },
          "date": {
            "type": "integer",
            "format": "int64",
            "description": "The event date in unix timestamp format."
          },
          "amount": {
            "type": "integer",
            "nullable": true,
            "format": "bigint",
            "example": 5000000000,
            "description": "The coin amount transfered in the event."
          },
          "decimals": {
            "type": "integer",
            "nullable": true,
            "description": "The coin amount transfered in the event."
          }
        }
      },
      "meta": {
        "type": "object",
        "description": "The meta details.",
        "nullable": true,
        "properties": {
          "paging": {
            "$ref": "#/components/schemas/paging"
          }
        }
      },
      "paging": {
        "type": "object",
        "description": "The pagination details.",
        "properties": {
          "next_page_token": {
            "type": "string",
            "description": "The next page token to use in the following request."
          }
        }
      },
      "tx": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique transaction identifier.",
            "example": "0xF00Fa860473130C1df10707223E66Cb4B839B165"
          },
          "block_id": {
            "type": "string",
            "description": "Block hash if mined, otherwise omitted.",
            "example": "0xaf2948aba2ed8cc7d5b7d4e4f4164a7c8819efc94d30aab3fce6904df68dbc07",
            "nullable": true
          },
          "date": {
            "type": "integer",
            "format": "int64",
            "description": "The transaction creation unix timestamp.",
            "example": 1571222657
          },
          "status": {
            "type": "string",
            "description": "Result status of the transaction.",
            "enum": [
              "completed",
              "failed"
            ]
          },
          "num_events": {
            "type": "integer",
            "description": "List of transaction events."
          },
          "meta": {
            "type": "object",
            "description": "Protocol specific data that doesn't fit into a standard model."
          },
          "block_number": {
            "type": "integer",
            "description": "Block number if mined, otherwise omitted.",
            "example": 789387,
            "nullable": true
          },
          "confirmations": {
            "type": "integer",
            "description": "Total transaction confirmations."
          },
          "events": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/event"
            },
            "nullable": true
          },
          "assets": {
            "type": "array",
            "description": "List of moved assets by asset path. Find all the asset paths on this [page](https://docs.blockdaemon.com/reference/available-currencies-and-tokens).",
            "uniqueItems": true,
            "items": {
              "type": "string",
              "example": "ethereum/native/eth"
            },
            "nullable": true
          },
          "nonce": {
            "type": "integer",
            "description": "The nonce of the transaction."
          }
        }
      },
      "tx_page": {
        "type": "object",
        "properties": {
          "total": {
            "type": "integer",
            "description": "The number of items in txs.",
            "example": 1
          },
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/tx"
            }
          },
          "meta": {
            "$ref": "#/components/schemas/meta"
          }
        }
      }
    },
    "parameters": {
      "network": {
        "name": "network",
        "in": "path",
        "required": true,
        "description": "Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}.",
        "schema": {
          "type": "string",
          "default": "mainnet"
        },
        "examples": {
          "Mainnet": {
            "value": "mainnet"
          },
          "Mainnet-C": {
            "value": "mainnet-c"
          },
          "Testnet": {
            "value": "testnet"
          },
          "Testnet4": {
            "value": "testnet4",
            "description": "Bitcoin testnet network"
          },
          "Testnet-C": {
            "value": "testnet-c"
          },
          "Holesky": {
            "value": "holesky",
            "description": "Ethereum testnet network"
          },
          "Hoodi": {
            "value": "hoodi",
            "description": "Ethereum testnet network"
          },
          "Sepolia": {
            "value": "sepolia",
            "description": "Ethereum testnet network"
          },
          "Westend": {
            "value": "westend",
            "description": "Polkadot testnet network"
          },
          "Amoy": {
            "value": "amoy",
            "description": "Polygon testnet network"
          }
        }
      },
      "address": {
        "name": "address",
        "in": "path",
        "required": true,
        "description": "The account address of the protocol.",
        "schema": {
          "type": "string",
          "default": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
        },
        "examples": {
          "BTC_address": {
            "value": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
            "description": "BTC address"
          }
        }
      },
      "order": {
        "name": "order",
        "in": "query",
        "description": "The pagination order.",
        "schema": {
          "type": "string",
          "enum": [
            "desc",
            "asc"
          ],
          "default": "desc"
        }
      },
      "page_token": {
        "name": "page_token",
        "in": "query",
        "required": false,
        "description": "The token to retrieve more items in the next request. Use the `next_page_token` returned from the previous response for this parameter.",
        "schema": {
          "type": "string"
        },
        "example": "8185.123"
      },
      "page_size": {
        "name": "page_size",
        "in": "query",
        "required": false,
        "description": "Max number of items to return in a response.\nDefaults to 25 and is capped at 100.\n",
        "schema": {
          "type": "integer"
        },
        "example": 25
      },
      "assets": {
        "name": "assets",
        "in": "query",
        "required": false,
        "description": "Comma-separated list of asset paths to filter. If the list is empty or all elements are empty, this filter has no effect. Filtering by asset is applicable only for:\n  - **Balances endpoints:** `algorand`, `avalanche`, `bitcoincash`, `ethereum`, `litecoin`, `optimism`, `polygon`, `polkadot`, `solana`\n  - **Transactions endpoints:** `algorand`, `avalanche`, `ethereum`\n\nFind all the asset paths on this [page](https://docs.blockdaemon.com/reference/available-currencies-and-tokens).\n",
        "schema": {
          "type": "string"
        },
        "allowReserved": true,
        "examples": {
          "ETH_native_currency": {
            "value": "ethereum/native/eth"
          },
          "ETH_smart_token": {
            "value": "ethereum/contract/0x0f5d2fb29fb7d3cfee444a200298f468908cc942/erc-20"
          },
          "More_than_one_asset": {
            "value": "ethereum/native/eth,ethereum/contract/0x0f5d2fb29fb7d3cfee444a200298f468908cc942/erc-20"
          }
        }
      }
    }
  }
}
```